curl --request PUT \
--url https://api.example.com/api/v2/projects/{project_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": null,
"is_private": null,
"freeplay_spend_limit_usd": null,
"data_retention_days": null,
"enable_eval_insights": null,
"enable_review_insights": null
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_private": true,
"freeplay_spend_limit_usd": 123,
"data_retention_days": 123,
"enable_eval_insights": true,
"enable_review_insights": true
}Modify project settings like name, visibility, or resource limits. Requires project admin role.
curl --request PUT \
--url https://api.example.com/api/v2/projects/{project_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": null,
"is_private": null,
"freeplay_spend_limit_usd": null,
"data_retention_days": null,
"enable_eval_insights": null,
"enable_review_insights": null
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_private": true,
"freeplay_spend_limit_usd": 123,
"data_retention_days": 123,
"enable_eval_insights": true,
"enable_review_insights": true
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ProjectDetail(id: uuid.UUID, name: str, is_private: bool, freeplay_spend_limit_usd: Optional[int], data_retention_days: Optional[int], enable_eval_insights: bool, enable_review_insights: bool)